#!/bin/sh
#
# Example script for NNTPSwitch statistics generation.
#
# This script rotates the news.debug by one. You have to take
# care of other news logfiles yourself.
# If you need anything else, put it in nsstats.sh.local
#
 
LOGDIR=/var/log/news
WWWDIR=/var/www
BINDIR=/usr/local/sbin

# First rotate logging and reload syslog
rm -f $LOGDIR/news.debug.*
mv $LOGDIR/news.debug $LOGDIR/news.debug.1
#touch $LOGDIR/news.debug
#chown news.news $LOGDIR/news.debug
/etc/init.d/sysklogd reload

# Update all groups
$BINDIR/updategroups
/etc/init.d/nntpswitch reload

# Make stats
$BINDIR/nsstats.pl -d $WWWDIR < $LOGDIR/news.debug.1
gzip $LOGDIR/news.debug.1

# Any local additions should be in nsstats.sh.local
LOCAL=`basename $0`
if [ -f $BINDIR/$LOCAL.local ]; then
  $BINDIR/$LOCAL.local
fi

